Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Class DocumentSerializer

    java.lang.Object
      org.apache.xml.security.encryption.AbstractSerializer
          org.apache.xml.security.encryption.DocumentSerializer

All Implemented Interfaces:
  Serializer

    public class DocumentSerializer

extends AbstractSerializer

Converts `String`s into `Node`s and visa versa.

Field Summary

Fields inherited from class org.apache.xml.security.encryption.AbstractSerializer
`canon, secureValidation`

Constructor Summary
`DocumentSerializer()`

Method Summary
`org.w3c.dom.Node` | `deserialize(byte[] source, org.w3c.dom.Node ctx)`
`org.w3c.dom.Node` | `deserialize(java.lang.String source, org.w3c.dom.Node ctx)` Deprecated.

Methods inherited from class org.apache.xml.security.encryption.AbstractSerializer
`canonSerialize, canonSerializeToByteArray, createContext, createContext, isSecureValidation, serialize, serialize, serializeToByteArray, serializeToByteArray, setCanonicalizer, setSecureValidation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSerializer

    public DocumentSerializer()

Method Detail

### deserialize

    public org.w3c.dom.Node deserialize(byte[] source,
                                        org.w3c.dom.Node ctx)
                                 throws XMLEncryptionException

  Specified by:
    `deserialize` in interface `Serializer`
  Specified by:
    `deserialize` in class `AbstractSerializer`
  Parameters:
    `source` -
    `ctx` -
  Returns:
    the Node resulting from the parse of the source
  Throws:
    `XMLEncryptionException`

### deserialize

    @Deprecated
    public org.w3c.dom.Node deserialize(java.lang.String source,
                                                   org.w3c.dom.Node ctx)
                                 throws XMLEncryptionException

  Deprecated.

  Specified by:
    `deserialize` in interface `Serializer`
  Specified by:
    `deserialize` in class `AbstractSerializer`
  Parameters:
    `source` -
    `ctx` -
  Returns:
    the Node resulting from the parse of the source
  Throws:
    `XMLEncryptionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD